Imagick::roundCorners
Imagick::scaleImage
Imagick
PHP Manual

# Imagick::sampleImage

(PECL imagick 2.0.0)

Imagick::sampleImage — Scales an image with pixel sampling

### Description

bool Imagick::sampleImage ( int `$columns` , int `$rows` )

Scales an image to the desired dimensions with pixel sampling. Unlike other scaling methods, this method does not introduce any additional color into the scaled image.

### Parameters

`columns`

`rows`

### Return Values

Returns `TRUE` on success.

Imagick::roundCorners
Imagick::scaleImage
Imagick
PHP Manual